/*
 * $Id: ITraceClient.java,v 1.5 2006/11/22 10:20:46 wzb Exp $
 *
 * $Log: ITraceClient.java,v $
 * Revision 1.5  2006/11/22 10:20:46  wzb
 * Final final version for 5.5.3
 *
 * Revision 1.2.2.1  2006/11/06 15:02:48  wzb
 * R5.5.3 bugfixes and additions
 *
 * Revision 1408 (Release 6.2) 22.03.2010 plo
 * stc#932 (Reduce bandwidth usage)
 *
 * � Copyright European Space Agency 2006-2010
 *
 */
package esa.span.client;


/**
 * An interface for clients that want to receive spectrum data (traces)
 * from the Spectrum Analyser. Clients must register with the {@link SpanClient}
 * to receive these notifications.
 * @see SpanClient
 * @author Wernke zur Borg
 */
public interface ITraceClient extends IMonitoringClient
{
	/**
	 * This updates the trace data with new values
	 * @param traceId  The id of the trace (1..4)
	 * @param traceData  An array of double values representing the
	 * current frequency spectrum. Note that other parameter values
	 * like start frequency and frequency span are needed to properly 
	 * interpret these data.
	 * @param timestamp The timestamp attached to the data sample.
	 */
	public void traceUpdate( short traceId, double[] traceData, long timestamp );
 
}
